Bug 414941 - Registering for Software updates gets Internal Server Error
Registering for Software updates gets Internal Server Error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 17:13 EST by Andrew J. Caines
Modified: 2009-02-20 17:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 17:52:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew J. Caines 2007-12-06 17:13:27 EST
Description of problem:

On a freshly deliverted system from Dell with pre-installed RHEL 5, running the
"Softwarer Updater" tool and filling in the details up to the "Access A
Subscription" page, providing the product key (correctly transcribed from the
sticket on the shrinkwrapped card), and pressing "Forward" generates an error
pop-up.

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux Client release 5 (Tikanga)

How reproducible:

Repeat the above steps up to pressing "Forward".

Actual results:

An error pop-up:

"There was an error activating your number.
This error shouldn't have happened. If you'd like to help us improve this
program, please file a bug at
bugzilla.redhat.com. Including the relevant parts of '/var/log/up2date' would be
very helpful. Thanks!"

The up2date log entries for this are:

----8<----
[Thu Dec  6 15:49:51 2007] rhn_register A protocol error occurred: Internal
Server Error , attempt #1,
[Thu Dec  6 15:49:57 2007] rhn_register A protocol error occurred: Internal
Server Error , attempt #2,
[Thu Dec  6 15:50:06 2007] rhn_register A protocol error occurred: Internal
Server Error , attempt #3,
[Thu Dec  6 15:50:15 2007] rhn_register A protocol error occurred: Internal
Server Error , attempt #4,
[Thu Dec  6 15:50:24 2007] rhn_register A protocol error occurred: Internal
Server Error , attempt #5,
[Thu Dec  6 15:50:38 2007] rhn_register Error communicating with server. The
message was:
Internal Server Error
[Thu Dec  6 15:50:38 2007] rhn_register 
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 1764, in
callAndFilterExceptions
    return function()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 726, in
_activateSubscriptionPageApply
    regNum, organization)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 682, in
activateRegistrationNumber
    result = server.registration.activate_registration_number(username,
password, registrationNumber, other)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 50, in __call__
    return rpcServer.doCall(method, *args, **kwargs)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 263, in doCall
    raise up2dateErrors.CommunicationError(e.errmsg)
up2date_client.up2dateErrors.CommunicationError: Error communicating with
server. The message was:
Internal Server Error
----8<----

Expected results:

Confirmation of successful registration, software updates, happiness.

Additional info:
Comment 1 Andrew J. Caines 2007-12-07 13:20:50 EST
Apparently the RHN server was fixed, or the gremlins were asleep. Today the
update process worked (though the report that there were no updates seemed a
little unlikely).
Comment 2 Andrew J. Caines 2007-12-07 13:21:52 EST
Would save everyone time and effort if I could close this bug myself.
Comment 3 Andrew J. Caines 2007-12-07 13:52:54 EST
Now updates are showing up in the "Software Updater" GUI in large numbers, which
would be great if they would actually apply, however when I press the "Apply"
 button, it darkens for a moment and nothing happens.

This is not a good first impression of RHEL Client Desktop.
Comment 4 Andrew J. Caines 2007-12-07 13:54:36 EST
Now packages are downloading. Apparently there was a silent wait for over 30
seconds (in UI feedback terms, forever).
Comment 5 Clifford Perry 2009-02-20 16:39:20 EST
Reviewing this bug report I am unable to find any outstanding items. Please do contact Red Hat Support for further assistance/investigation if needed.


Cliff
Comment 6 RHEL Product and Program Management 2009-02-20 17:52:54 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.